Subject: FVWM: colormap issue

From: Laurent MARTIN <[email-masked]>
Date: Wed, 02 Oct 1996 18:03:23 +0100

Hi all,
  I use fvwm2 2.0.42a (but i tried 2.0.43 also), and there is something
anoying: (it deals with colormaps)
  I use softwindows on my alphastation, softwindows's window is composed
with a menu bar, the PC screen, and a status bar:
+-----------------------+
+ File Option Action    +
+-----------------------+
|                       |
|                       |
|   PC screen emulation |
|                       |
|                       |
|                       |
|                       |
+-----------------------+
+ Status bar            +
+-----------------------+
As the PC screen uses 256 colors, the "PC screen emulation" sub-window
uses its own Color map that.
Menu and status bar use standard root window colormap which is not the
"PC screen emulation" sub-window one.
Here comes the problem:
When the mouse pointer enters softwindows's window, the is a flash
showing there is something happening with colormaps, but a the end
nothing changed and  "PC screen emulation" colors are bad.
I manage to have the right colors with a hack: i click in a softwindows
menu, and then in the "PC screen emulation" window: i get the right
colormap.
I used softwindows with mwm, and it works fine (i get the right colors).
If the non-standard colormap is in the application main window, it seems
to work (for instance with: 'netscape -install').

So if this could be fixed in a further revision, i would be happy,

thanks,
	Laurent
-- 
+---------------------------------+
| mailto:[email-masked] |
| Easy net: TAEC::MARTIN (FRANCE) |
+---------------------------------+
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].